/*
 * The MIT License (MIT)
 * Copyright (c) 2015 Joel De La Torriente - jjdltc - https://github.com/jjdltc
 * See a full copy of license in the root folder of the project
 */

var argscheck       = require('cordova/argscheck'),
    exec            = require('cordova/exec');

function ziparchive() { }

/**
 *
 * @param {String} Path to the file or directory to zip
 * @param {String} Object with options of the action like
 * @param {Function} successCallback The function to call when the heading data is available
 * @param {Function} errorCallback The function to call when there is an error getting the heading data. (OPTIONAL)
 */
ziparchive.prototype.zip = function(path, options, successCallback, errorCallback) {
    //argscheck.checkArgs('sOFF', 'ziparchive.zip', arguments);
    exec(successCallback, errorCallback, "ziparchive", "zip", [path, options]);
};

/**
 *
 * @param {String} Path to the zip file
 * @param {String} Object with options of the action like
 * @param {Function} successCallback The function to call when the heading data is available
 * @param {Function} errorCallback The function to call when there is an error getting the heading data. (OPTIONAL)
 */
ziparchive.prototype.unzip = function(zipPath, destinationDirectory, successCallback, errorCallback) {
    //argscheck.checkArgs('sOFF', 'ziparchive.unzip', arguments);
    exec(successCallback, errorCallback, "ziparchive", "unzip", [zipPath, {target:destinationDirectory}]);
};

module.exports = new ziparchive();